<?php
$id = isset($_GET['id']) ? abs((int)$_GET['id']) : false;
if (empty($id)) {
header ('location: /');
exit;
}
$query = DB :: $dbs -> query ("SELECT * FROM `magazin_pr` WHERE `id` = ?", [(int)$_GET['id']]);
if ($query -> rowCount () == 0) {
header ('location: /');
exit;
}
$pr = $query -> fetch ();
$r = DB :: $dbs -> queryFetch ("SELECT * FROM magazin_r WHERE id = ?", [$pr['id_r']]);

$title->SetTitle('Маркет - Новый товар');
$title->GetHeader();
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: <a href="/market"style="text-decoration:none; color:white;"> Маркет</a> :: <a href="/market/kat/'.$r['id'].'"style="text-decoration:none; color:white;">' . $r['name'].'</a> :: <a href="/market/dir/'.$pr['id'].'"style="text-decoration:none; color:white;">' . $pr['name'].'</a> :: Новый товар</div></div></div>';
if($b['wm'] == 0){
err('WMID не заполнен! Добавление товара не возможнo!');
} else {
$zip = new ZipArchive;
if (isset($_POST['ok'])) {
$name = check($_POST['name']);
$opis = check($_POST['opis']);
$price = abs((int)$_POST['price']);
$kopii = abs((int)$_POST['kopii']);
$prava = abs((int)$_POST['prava']);
if(!is_numeric($kopii)){
$err ='В поле "копии" должны быть цифры!!!';
}
if (empty($name) or mb_strlen($name)>100){
$err = 'Что-то с названием файла! Или оно слишком длинное, или вы вообще его не ввели!';
}
if (empty($opis)) {
$err = 'Вы не ввели описание файла!';}
if ($price<50 or $price>8000) {
$err = 'Цена должна быть не менее 50 руб. и не более 8 000 руб.';
}
if ($kopii<0) {
$err = 'Не верное число копий!';
}
if($_FILES['file']['size'] > 1024*60*1024){
$err = 'Размер файла превышает 60 мб.!';
}
if(DB::$dbs->querySingle("SELECT COUNT(id) FROM magazin_file WHERE name = ?",[$name])==1){
$err = 'Такой файл уже есть!';
}
$file = $_FILES['file']['name'];
$ext = strtolower(strrchr($file, '.'));
$file = homeurl.'_'.rand(10000,99999).$ext;
$GetExt = ['.rar','.zip'];
if(preg_match('/(\.php|\.pl|\.htaccess)/i', $file) || !in_array($ext, $GetExt)) {
$err .= 'Запрещенный формат файла!';
}
if (empty($err)) {
if($zip->open($_FILES['file']['tmp_name']) === TRUE){
$zip->setArchiveComment($_SERVER['HTTP_HOST'].' - best shop.');
$zip->addFromString('LICENSE_'.homeurl.'.txt', 'Оплачивая данный цифровой товар, Вы безусловно принимаете следующее соглашение:
После оплаты цифрового товара, Вы не имеете права перепродавать, дарить, раздавать, его и выкладывать в свободные обменные сети, если это не было заранее оговорено с автором.');
$zip->close();
}
if(copy($_FILES['file']['tmp_name'], $_SERVER['DOCUMENT_ROOT'].'/files/mag_file/'.$file)) {
$adres = $file;
DB::$dbs->query("INSERT INTO `magazin_file` SET `id_r` = ?, `id_pr` = ?, `time` = ?, `name` = ?,`opis` = ?, `price` = ?, `kopii` = ?, `file` = ?, `user_id` = ?, `prava` = ?", [$pr['id_r'],$pr['id'],time(),$name,$opis,$price,$kopii,$file,$b['id'],$prava]);
$idl = DB::$dbs->lastInsertId();
$file = DB::$dbs->queryFetch("SELECT user_id,id FROM magazin_file WHERE id = ? LIMIT 1",[$idl]);
DB::$dbs->query("UPDATE `blogger` SET `gears` = `gears` + ? WHERE id = ?", [2,$b['id']]);
lenta(Nick($file['user_id']).' добавил новый <a href="/market/file/'.$file['id'].'">[товар]</a> в магазин!');
if ($_POST['tema'] == 1) {
$names = 'Продажа товара "'.$name.'" ';
$textes = 'Название товара: [b]'.$name.'[/b]<br/>
Описание: '.$opis.'<br/>
Ссылка на товар: [url=http://'.$_SERVER['HTTP_HOST'].'/market/file/'.$idl.']Клик[/url]<br/>';
DB::$dbs->query("INSERT INTO forum_topic SET name = ?, user_id = ?, time = ?, rid = ?, prid = ?, last = ?", [$names,$b['id'],time(),6,30,time()]);
$last = DB::$dbs->lastInsertId();
DB::$dbs->query("INSERT INTO forum_mess SET text = ?, user_id = ?, time = ?, rid = ?, prid = ?, tid = ?", [$textes,$b['id'],time(),6,30,$last]);
}
header('location: /market/file/'.$idl);
} else {
die('Файл не загружен на сервер!');
}
}
else {
err('Неизвестная ошибка!');
}
}
echo '<div class="list-group-item media"><form action="/market/addfiles/'.abs((int)$_GET['id']).'" method="post" enctype="multipart/form-data">Название:<br/><input type="text" class="form-control"  name="name"/><br/>Описание:<br/><textarea class="form-control" rows="3"name="opis"></textarea><br/>* Цена (50-8 000 р.):<br/><input type="text" class="form-control" name="price" value="50"/><br/>Копии (0 - неограниченно):<br/><input type="text" class="form-control"  name="kopii" value="0"/><br/>Файл (max. 60 мб.):<br/><input type="file" class="form-control" name="file"/><br/>
<input type="checkbox" name="prava" value="1"/> С правами на перепродажу<br/><input type="checkbox" name="tema" value="1"/> Создать тему на форуме<br/><input type="submit" name="ok" class="btn btn-primary btn-lg btn-block" value="Добавить"/></form></div>';
}
?>